ballerinax/cloudmersive.security Ballerina library

1.5.1

Overview

This is a generated connector from Cloudmersive OpenAPI specification.

The Cloudmersive Security APIs help you detect and block security threats.

Prerequisites

  • Create a Cloudmersive account
  • Obtain tokens
    • Use this guide to obtain the API key related to your account.

Quickstart

To use the Cloudmersive Security connector in your Ballerina application, update the .bal file as follows:

Step 1 - Import connector

First, import the ballerinax/cloudmersive.security module into the Ballerina project.

Copy
import ballerinax/cloudmersive.security;

Step 2 - Create a new connector instance

You can now make the connection configuration using the access token.

Copy
security:ApiKeysConfig config = {
    apikey : "<your apiKey>"
};

security:Client baseClient = check new Client(clientConfig);

Step 3 - Invoke connector operation

  1. Scan the query for SQL Injection
Copy
string query = "SELECT * FROM Users WHERE UserId = 105 OR 1=1;";
security:StringSqlInjectionDetectionResult|error bEvent = baseClient->contentThreatDetectionCheckSqlInjectionString(query);

if (bEvent is security:StringSqlInjectionDetectionResult) {
    log:printInfo("Threat Report: " + bEvent.toString());
} else {
    test:assertFail(msg = bEvent.toString());
}
  1. Use bal run command to compile and run the Ballerina program

Import

import ballerinax/cloudmersive.security;Copy

Metadata

Released date: 10 months ago

Version: 1.5.1

License: Apache-2.0


Compatibility

Platform: any

Ballerina version: 2201.4.1

GraalVM compatible: Yes


Pull count

Total: 

Current verison: 0


Weekly downloads


Source repository


Keywords

IT Operations/Security & Identity Tools
Cost/Freemium

Contributors

Other versions

See more...